Package com.independentsoft.office.odf.fields

# Class SenderPostalCode

java.lang.Object
com.independentsoft.office.odf.fields.Field
com.independentsoft.office.odf.fields.SenderPostalCode

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class SenderPostalCode extends Field
Represents the postal code of the address of a subsequent author.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.fields.Field

  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SenderPostalCode()`
  Initializes a new instance of the SenderPostalCode class.
  `SenderPostalCode​(String postalCode)`
  Initializes a new instance of the SenderPostalCode class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SenderPostalCode`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getValue()`
  Gets the sender's postal code.
  `boolean`
  `isFixed()`
  Specifies whether the value of a field element is fixed.
  `void`
  `setFixed​(boolean isFixed)`
  Specifies whether the value of a field element is fixed.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setValue​(String value)`
  Sets the sender's postal code.
  `String`
  `toString()`
  Converts the value of the current SenderPostalCode object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SenderPostalCode

    public SenderPostalCode()
    Initializes a new instance of the SenderPostalCode class.

  - ### SenderPostalCode

    public SenderPostalCode​(String postalCode)
    Initializes a new instance of the SenderPostalCode class.
    Parameters:
      `postalCode` - the postal code

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Field`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Field`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Field`
    Parameters:
      `parent` - the new parent

  - ### clone

    public SenderPostalCode clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in class `Field`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SenderPostalCode object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getValue

    public String getValue()
    Gets the sender's postal code.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the sender's postal code.
    Parameters:
      `value` - the new value

  - ### isFixed

    public boolean isFixed()
    Specifies whether the value of a field element is fixed. The defined values are: - false: value of field element may be replaced with a new value in future edits. - true: value of field element shall be preserved in future edits.
    Returns:
      true, if is fixed

  - ### setFixed

    public void setFixed​(boolean isFixed)
    Specifies whether the value of a field element is fixed. The defined values are: - false: value of field element may be replaced with a new value in future edits. - true: value of field element shall be preserved in future edits.
    Parameters:
      `isFixed` - the new fixed